tigase.jaxmpp.core.client

## Class ConnectionConfiguration

- java.lang.Object
- - tigase.jaxmpp.core.client.ConnectionConfiguration

- Direct Known Subclasses:
    ConnectionConfiguration, ConnectionConfiguration

      public abstract class ConnectionConfiguration
      extends Object

  Connection configuration object.

  It is wrapper around SessionObject.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SessionObject` | `sessionObject`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConnectionConfiguration(SessionObject sessionObject)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setCredentialsCallback(CredentialsCallback credentialsCallback)` Set credentials callback;
    `void` | `setDomain(String domainName)` Set logical name of XMPP server.
    `void` | `setResource(String resource)` Set XMPP resource.
    `void` | `setUserJID(BareJID jid)` Set users JabberID.
    `void` | `setUserJID(String jid)` Set users JabberID.
    `void` | `setUserPassword(String password)` Set users password.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sessionObject

          protected final SessionObject sessionObject

  - ### Constructor Detail

    - #### ConnectionConfiguration

          protected ConnectionConfiguration(SessionObject sessionObject)

  - ### Method Detail

    - #### setCredentialsCallback

          public void setCredentialsCallback(CredentialsCallback credentialsCallback)

      Set credentials callback;
      Parameters:
        `credentialsCallback` - callback

    - #### setDomain

          public void setDomain(String domainName)

      Set logical name of XMPP server. Usually it is equals to hostname of users JID and is set automatically.
      Parameters:
        `domainName` - logical name of XMPP server.

    - #### setResource

          public void setResource(String resource)

      Set XMPP resource.
      Parameters:
        `resource` - resource

    - #### setUserJID

          public void setUserJID(BareJID jid)

      Set users JabberID.
      Parameters:
        `jid` - JabberID

    - #### setUserJID

          public void setUserJID(String jid)

      Set users JabberID.
      Parameters:
        `jid` - JabberID

    - #### setUserPassword

          public void setUserPassword(String password)

      Set users password.
      Parameters:
        `password` - password. If `null` then ANONYMOUS authentication will be used.

Copyright © 2006–2019 Tigase. All rights reserved.